> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Connection Definitions

> A `GET` to the `/connection/definitions` endpoint allows your application to retrieve all a tenants a Tier Definitions.



## OpenAPI

````yaml get /v3/connection/definitions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/connection/definitions:
    get:
      tags:
        - Connection Definition
      summary: Browse Connection Definitions
      description: >-
        A `GET` to the `/connection/definitions` endpoint allows your
        application to retrieve all a tenants a Tier Definitions.
      operationId: connection.definitions.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `ConnectionDefinition`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ConnectionDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    ConnectionDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        short_description:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        cover:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        type:
          type: string
        tenant:
          type:
            - string
            - 'null'
        start_date_global:
          type: string
        end_date_global:
          type: string
        end_date_duration:
          type:
            - integer
            - 'null'
        meta:
          type:
            - array
            - 'null'
          items: {}
        shareable_attributes:
          type:
            - array
            - 'null'
          items: {}
        connector_condition:
          type:
            - array
            - 'null'
          items: {}
        connected_condition:
          type:
            - array
            - 'null'
          items: {}
        connector_can_break:
          type:
            - boolean
            - 'null'
        connected_can_break:
          type:
            - boolean
            - 'null'
        is_published:
          type: boolean
        is_pending:
          type: boolean
        is_archived:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - short_description
        - description
        - icon
        - cover
        - internal_notes
        - type
        - tenant
        - start_date_global
        - end_date_global
        - end_date_duration
        - meta
        - shareable_attributes
        - connector_condition
        - connected_condition
        - connector_can_break
        - connected_can_break
        - is_published
        - is_pending
        - is_archived
        - created_at
        - updated_at
      title: ConnectionDefinition
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````